extends Node2D

@export_file_path("*.tscn") var scene: String
@export var auto_interact: bool = false

func _ready() -> void: $Interactable.auto_interact = auto_interact

func _on_interacted(_player: Player) -> void:
	if !scene.is_empty():
		EventManager.transition_scene_file(scene)
